package com.kmall.api.entity;

import java.io.Serializable;
import java.util.Date;

public class MallStoreMng implements Serializable {
    private Integer id;

    private Integer mallStoreId;

    private String sku;

    private String goodsBizType;

    private Integer storeNum;

    private Integer storeValidNum;

    private Integer storeFreezeNum;

    private Integer isValid;

    private String createrSn;

    private Date createTime;

    private String moderSn;

    private Date modTime;

    private Date tstm;

    private static final long serialVersionUID = 1L;

    public MallStoreMng() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMallStoreId() {
        return mallStoreId;
    }

    public void setMallStoreId(Integer mallStoreId) {
        this.mallStoreId = mallStoreId;
    }

    public String getSku() {
        return sku;
    }

    public void setSku(String sku) {
        this.sku = sku == null ? null : sku.trim();
    }

    public String getGoodsBizType() {
        return goodsBizType;
    }

    public void setGoodsBizType(String goodsBizType) {
        this.goodsBizType = goodsBizType == null ? null : goodsBizType.trim();
    }

    public Integer getStoreNum() {
        return storeNum;
    }

    public void setStoreNum(Integer storeNum) {
        this.storeNum = storeNum;
    }

    public Integer getStoreValidNum() {
        return storeValidNum;
    }

    public void setStoreValidNum(Integer storeValidNum) {
        this.storeValidNum = storeValidNum;
    }

    public Integer getStoreFreezeNum() {
        return storeFreezeNum;
    }

    public void setStoreFreezeNum(Integer storeFreezeNum) {
        this.storeFreezeNum = storeFreezeNum;
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn == null ? null : createrSn.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn == null ? null : moderSn.trim();
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }
}